Loading...
Searching...
No Matches
lomiri.shell.tests Namespace Reference

## Namespaces

namespace | test_helpers
namespace | test_notifications
namespace | test_rotation
namespace | test_system_integration
namespace | test_upstart

## Classes

class | LomiriTestCase

## Functions

| is_lomiri7_running ()
| get_qml_import_path_with_mock ()

## Variables

| Gio = None
| logger = logging.getLogger(__name__)
str | LOMIRISHELL_GSETTINGS_SCHEMA = "org.compiz.lomirishell"
str | LOMIRISHELL_GSETTINGS_PATH = "/org/compiz/profiles/lomiri/plugins/lomirishell/"
str | LOMIRISHELL_LAUNCHER_KEY = "launcher-hide-mode"
int | LOMIRISHELL_LAUNCHER_MODE = 1

## Detailed Description

    lomiri autopilot tests.

## Function Documentation

## get_qml_import_path_with_mock()

lomiri.shell.tests.get_qml_import_path_with_mock | ( |  | ) |

    Return the QML2_IMPORT_PATH value with the mock path prepended.

Definition at line 77 of file __init__.py.

def get_qml_import_path_with_mock():
"""Return the QML2_IMPORT_PATH value with the mock path prepended."""
qml_import_path = [get_mocks_library_path()]
if os.getenv('QML2_IMPORT_PATH') is not None:
qml_import_path.append(os.getenv('QML2_IMPORT_PATH'))
qml_import_path = ':'.join(qml_import_path)
logger.info("New QML2 import path: %s", qml_import_path)
return qml_import_path

## is_lomiri7_running()

lomiri.shell.tests.is_lomiri7_running | ( |  | ) |

    Return True if Lomiri7 is running. Otherwise, return False.

Definition at line 68 of file __init__.py.

def is_lomiri7_running():
"""Return True if Lomiri7 is running. Otherwise, return False."""
return (
Gio is not None and
LOMIRISHELL_GSETTINGS_SCHEMA in
Gio.Settings.list_relocatable_schemas()
)

## Variable Documentation

## Gio

lomiri.shell.tests.Gio = None

Definition at line 25 of file __init__.py.

## logger

lomiri.shell.tests.logger = logging.getLogger(__name__)

Definition at line 60 of file __init__.py.

## LOMIRISHELL_GSETTINGS_PATH

str lomiri.shell.tests.LOMIRISHELL_GSETTINGS_PATH = "/org/compiz/profiles/lomiri/plugins/lomirishell/"

Definition at line 63 of file __init__.py.

## LOMIRISHELL_GSETTINGS_SCHEMA

str lomiri.shell.tests.LOMIRISHELL_GSETTINGS_SCHEMA = "org.compiz.lomirishell"

Definition at line 62 of file __init__.py.

## LOMIRISHELL_LAUNCHER_KEY

str lomiri.shell.tests.LOMIRISHELL_LAUNCHER_KEY = "launcher-hide-mode"

Definition at line 64 of file __init__.py.

## LOMIRISHELL_LAUNCHER_MODE

int lomiri.shell.tests.LOMIRISHELL_LAUNCHER_MODE = 1

Definition at line 65 of file __init__.py.